get
https://api.regal.ai/v1/brandedPhoneNumbers
Retrieve a list of phone numbers submitted for branding and/or spam remediation.
Rate Limit
| Limit Type | Value |
|---|---|
| Requests per second | 10 |
If you exceed these limits, you will receive a 429 Rate Limit Exceeded response.
API Details
- API supports optional filtering using query params. All query params except
phoneNumberandbusinessProfileIdallow you to include the same query parameter multiple times with different values. The API will return results that match any of the provided values - detailedStatus (Carrier/Feature Level) is a granular status that tells you where each carrier is in the approval process of your phone number for Spam and Branding.
pending.initialOptIn- first-time registration (new number or coming from opt-out).pending.optIn- Re-registration (number has been through the process before). Both are "pending" states, but initialOptIn indicates it's the first submission, while optIn indicates a subsequent change.submitted.optIn- Opt-in submitted to carrierapproved.optIn- Opt-in approved by carrierrejected.optIn- Opt-in rejected by carriersubmitted.optOut- Opt-out submitted to carrierpending.optOut- Opt-out pendingapproved.optOut- Opt-out approved by carrierrejected.optOut- Opt-out rejected by carrier
- status (Phone Number Level) is an overall summary status of where your phone number is in the review process:
submitted for review(highest priority) - if there are anypending.\*orsubmitted.\*detailedStatusesrejected- forrejected.\*detailedStatusesapproved- forapproved.\*detailedStatusesunregistered(lowest priority) - fallback ORapproved.optOutdetailedStatus
Phone Number Status Flow
- When you submit a phone number for spam remediation and/or branding, its status follows this progression:
submitted for review: The number enters this status immediately upon submission and remains here while carrier/feature approvals are pending.approved: All requested carriers and features have been approved.rejected: One or more carriers or features have been rejected. (If even a single carrier/feature is rejected, the overall status becomes rejected.)
The number only transitions from submitted for review once all carriers and features have received a final decision (approved or rejected).
- Deregistration: When removing spam and/or branding designations, the same flow applies. The number shows as
submitted for reviewuntil all opt-outs are processed. If opting out from only some carriers/features, status will appear asapprovedorrejected(as in the opt outs have been approved or rejected). However, if a number is opted out of every carrier/status combination, the status will appear asunregistered.
Example Requests
- Get all branded phone numbers:
GET /v1/brandedPhoneNumbers - Get information for a specific phone number:
GET /v1/brandedPhoneNumbers?phoneNumber=%2B15551234567 - Get all phone numbers that are still in review:
GET /v1/brandedPhoneNumbers?status=submitted+for+review - Get phone numbers with status of approved or rejected:
GET /v1/brandedPhoneNumbers?status=approved&status=rejected - Get phone numbers with approved branded caller ID on AT&T:
GET /v1/brandedPhoneNumbers?carrier=AT%26T&feature=brandedCallerId&status=approved.optIn - Get phone numbers with spam remediation enabled on any carrier:
GET /v1/brandedPhoneNumbers?feature=spamRemediation&status=approved.optIn
